<?php

include __DIR__.'/SiteProApiClient.php';

use Profis\SitePro\SiteProApiClient;

// get "your_api_username" and "our_api_password" from your license and enter them here
$api = new SiteProApiClient('http://site.pro/api/', 'your_api_username', 'our_api_password');

try {
	// Note: parameter value types must match documentation
	$res = $api->remoteCall('hosting-accounts/set-blocked', array(
		'domain' => 'some-random-domain.com', // domain name to block
		'value' => true, // true = block, false = unblock
	));
	if (!$res || !is_object($res)) {
		throw new ErrorException('Response format error');
	} else if (isset($res->ok) && $res->ok) {
		echo 'Request success: '.print_r($res, true);
	} else {
		throw new ErrorException((isset($res->error) && $res->error) ? $res->error : 'Unknown error');
	}
} catch(ErrorException $ex) {
	echo 'Request error: '.$ex->getMessage();
}
